API referenceChanging a session
Switch a session's model
POST
From its next model call on. Without thinking, the level stays if the model takes it, else off.
bearerheader
AuthorizationBearer <token>An API token
id*stringA session id
application/json- body
model*stringprovider/model-id
thinking?ThinkingLevelValue in
"off""minimal""low""medium""high""xhigh""max"What it runs on now
application/json- response
id*stringprovider/model-id
thinking*ThinkingLevelValue in
"off""minimal""low""medium""high""xhigh""max"curl -X POST 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/model' \ -H 'Content-Type: application/json' \ -d '{ "model": "demo/demo"}'Example Response
{ "id": "string", "thinking": "off"}